# Balance Sheet

### Example URL:

```
https://api2.redflagalert.net/v4/companies/01777777/balance-sheet/
```

### JSON Structure:

```javascript
{
	"data": [{
		"attributes": {
			"total_current_assets": 3439000000,
			"total_fixed_assets": 7945000000,
			"tangible_fixed_assets": 7357000000,
			"currency": "GBP",
			"pl_account_reserve": 903000000,
			"account_date": "2007-03-31",
			"working_capital": -186000000,
			"trade_debtors": 654000000,
			"shareholders_funds": 2211000000,
			"stocks": 76000000,
			"misc_current_assets": 354000000,
			"total_long_term_liabilities": 5548000000,
			"creditors_amounts_falling": 3625000000,
			"no_weeks": 52,
			"total_assets_less_liabilities": 7759000000,
			"revaluation_reserve": 0,
			"share_capital_reserve": 1308000000,
			"total_liabilities": 9173000000,
			"total_assets": 11384000000,
			"contingent_liabilities": 168000000,
			"cash": 2355000000,
			"net_worth": 1999000000,
			"intangible_assets": 212000000
		},
		"type": "balance_sheet",
		"id": "645323-4273833453"
	}]
}
```

### Attributes

| Field Key                       | Description                                                                                                       | Notes |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------------- | ----- |
| `total_current_assets`          | Total value of assets that would normally be converted in to cash over 12 months.                                 |       |
| `total_fixed_assets`            | Total value of assets that are used by the business but would not normally be converted to cash.                  |       |
| `tangible_fixed_assets`         | Total of assets that would normally be converted in to cash over 12 months.                                       |       |
| `currency`                      | The currency used in the presentation of the accounts.                                                            |       |
| `pl_account_reserve`            | The sum of accumulated reserves from past profits.                                                                |       |
| `account_date`                  | The date of the accounts.                                                                                         |       |
| `working_capital`               | The difference between the total current assets and total current liabilities.                                    |       |
| `trade_debtors`                 | The amount owed to the company by its trade debtors.                                                              |       |
| `shareholders_funds`            | The value of the amounts due to shareholders.                                                                     |       |
| `stocks`                        | The value of unprocessed and unsold goods held by the company.                                                    |       |
| `misc_current_assets`           | The value of unclassified current assets.                                                                         |       |
| `total_long_term_liabilities`   | The total value of liabilities, other than to shareholders with a duration of greater than 12 months.             |       |
| `creditors_amounts_falling`     | The value owing to trade creditors.                                                                               |       |
| `no_weeks`                      | The number of weeks between the start and the end of the financial period.                                        |       |
| `total_assets_less_liabilities` | The total value of the assets after deducting all liabilities, except for those owed to the shareholder.          |       |
| `revaluation_reserve`           | The value of reserves accruing from a revaluation of business assets.                                             |       |
| `share_capital_reserve`         | The value of shareholder equity.                                                                                  |       |
| `total_liabilities`             | The total value of all liabilities.                                                                               |       |
| `total_assets`                  | The total value of all assets.                                                                                    |       |
| `contingent_liabilities`        | Liabilities that may fall due but are contingent upon an outcome not know at the time of the financial statement. |       |
| `cash`                          | The value of cash assets.                                                                                         |       |
| `net_worth`                     | The value of total tangible assets minus total outside liabilities.                                               |       |
| `intangible_assets`             | The value of assets that don't have a physical nature, such as Goodwill, or Patents etc.                          |       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/balance-sheet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
